Package fr.gouv.vitam.common.database.builder.request.multiple

# Class RequestMultiple

java.lang.Object
fr.gouv.vitam.common.database.builder.request.AbstractRequest
fr.gouv.vitam.common.database.builder.request.multiple.RequestMultiple

Direct Known Subclasses:
  `DeleteMultiQuery`, `InsertMultiQuery`, `SelectMultiQuery`, `UpdateMultiQuery`

public abstract class RequestMultiple extends AbstractRequest
abstract class for multi query request

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Facet>`
  `facets`
  `protected List<Query>`
  `queries`
  `protected Set<String>`
  `roots`
  `protected Long`
  `threshold`

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.request.AbstractRequest

  `filter, projection`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestMultiple()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final RequestMultiple`
  `addQueries(Query... queries)`
  `final RequestMultiple`
  `addRoots(com.fasterxml.jackson.databind.node.ArrayNode rootContent)`
  `final RequestMultiple`
  `addRoots(String... roots)`
  `List<Action>`
  `getActions()`
  default implements of getActions
  `boolean`
  `getAllProjection()`
  default implements of getAllProjection
  `com.fasterxml.jackson.databind.JsonNode`
  `getData()`
  default implements of getData
  `List<Facet>`
  `getFacets()`
  getFacets
  `protected final com.fasterxml.jackson.databind.node.ObjectNode`
  `getFinal()`
  Get the json final of request
  `final int`
  `getNbQueries()`
  `final Query`
  `getNthQuery(int nth)`
  `com.fasterxml.jackson.databind.node.ObjectNode`
  `getProjection()`
  default implements of getProjection
  `final List<Query>`
  `getQueries()`
  `final Set<String>`
  `getRoots()`
  `Long`
  `getThreshold()`
  Getter for threshold
  `final RequestMultiple`
  `parseRoots(String roots)`
  `RequestMultiple`
  `reset()`
  `final RequestMultiple`
  `resetQueries()`
  `final RequestMultiple`
  `resetRoots()`
  `void`
  `setFacets(List<Facet> facets)`
  setFacets
  `RequestMultiple`
  `setQuery(Query query)`
  Set the query of request: in case of multi-query request: re-initialize list of query
  `void`
  `setThreshold(Long threshold)`
  Setter for threshold
  `String`
  `toString()`

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.request.AbstractRequest

  `addHintFilter, addHintFilter, getFilter, parseFilter, resetFilter, resetHintFilter, selectAddOrderByAscFilter, selectAddOrderByDescFilter, selectAddOrderByFilter, selectAddProjection, selectAddUnusedProjection, selectAddUsedProjection, selectGetAllProjection, selectGetFinalSelect, selectGetProjection, selectParseLimitFilter, selectParseOrderByFilter, selectParseProjection, selectReset, selectResetLimitFilter, selectResetOrderByFilter, selectResetUsedProjection, selectSetFilter, selectSetLimitFilter, selectSetLimitFilter, selectSetProjection, selectSetScrollFilter, setFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### roots

    protected Set<String> roots

  - ### queries

    protected List<Query> queries

  - ### facets

    protected List<Facet> facets

  - ### threshold

    protected Long threshold

- ## Constructor Details

  - ### RequestMultiple

    public RequestMultiple()

- ## Method Details

  - ### resetQueries

    public final RequestMultiple resetQueries()
    Returns:
      this Request

  - ### resetRoots

    public final RequestMultiple resetRoots()
    Returns:
      this Request

  - ### reset

    public RequestMultiple reset()
    Overrides:
      `reset` in class `AbstractRequest`
    Returns:
      this Request

  - ### addQueries

    public final RequestMultiple addQueries(Query... queries) throws InvalidCreateOperationException
    Parameters:
      `queries` - list of query
    Returns:
      this Request
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### setQuery

    public RequestMultiple setQuery(Query query) throws InvalidCreateOperationException
    Description copied from class: `AbstractRequest`
    Set the query of request: in case of multi-query request: re-initialize list of query
    Specified by:
      `setQuery` in class `AbstractRequest`
    Parameters:
      `query` - of request
    Returns:
      this request
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### addRoots

    public final RequestMultiple addRoots(String... roots) throws InvalidParseOperationException
    Parameters:
      `roots` - string root
    Returns:
      this Request
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### addRoots

    public final RequestMultiple addRoots(com.fasterxml.jackson.databind.node.ArrayNode rootContent)
    Parameters:
      `rootContent` - array of root
    Returns:
      this Request

  - ### parseRoots

    public final RequestMultiple parseRoots(String roots) throws InvalidParseOperationException
    Parameters:
      `roots` - string of array root
    Returns:
      this Request
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### getFinal

    protected final com.fasterxml.jackson.databind.node.ObjectNode getFinal()
    Get the json final of request
    Specified by:
      `getFinal` in class `AbstractRequest`
    Returns:
      the Final containing all 3 parts: roots, queries array and filter

  - ### getRoots

    public final Set<String> getRoots()
    Specified by:
      `getRoots` in class `AbstractRequest`
    Returns:
      the roots array

  - ### getNbQueries

    public final int getNbQueries()
    Specified by:
      `getNbQueries` in class `AbstractRequest`
    Returns:
      the number of queries

  - ### getQueries

    public final List<Query> getQueries()
    Specified by:
      `getQueries` in class `AbstractRequest`
    Returns:
      the queries list

  - ### getNthQuery

    public final Query getNthQuery(int nth)
    Parameters:
      `nth` - query position
    Returns:
      the nth query

  - ### getFacets

    public List<Facet> getFacets()
    getFacets
    Returns:

  - ### setFacets

    public void setFacets(List<Facet> facets)
    setFacets
    Parameters:
      `facets` -

  - ### getData

    public com.fasterxml.jackson.databind.JsonNode getData()
    default implements of getData
    Specified by:
      `getData` in class `AbstractRequest`
    Returns:
      the data

  - ### getAllProjection

    public boolean getAllProjection()
    default implements of getAllProjection
    Specified by:
      `getAllProjection` in class `AbstractRequest`
    Returns:
      True if the projection is not restricted

  - ### getProjection

    public com.fasterxml.jackson.databind.node.ObjectNode getProjection()
    default implements of getProjection
    Specified by:
      `getProjection` in class `AbstractRequest`
    Returns:
      the projection

  - ### getThreshold

    public Long getThreshold()
    Getter for threshold
    Returns:
      the threshold

  - ### setThreshold

    public void setThreshold(Long threshold)
    Setter for threshold
    Parameters:
      `threshold` - the value to set for the threshold

  - ### getActions

    public List<Action> getActions()
    default implements of getActions
    Specified by:
      `getActions` in class `AbstractRequest`
    Returns:
      list of actions

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractRequest`